%define ld_ver 3
%define compat_ld_ver 2

Name        	: glibc_lsb
Version     	: 2.3.4
Release     	: 2mdk
Group       	: System/Libraries
Summary     	: LSB dynamic loader links
License   	: LGPL
URL         	: http://www.linuxbase.org/spec

BuildRoot   	: %{_tmppath}/%{name}-%{version}-root
Requires	: lsb >= 3.0-1mdk

%description
Provides ld-lsb* dynamic loader links for LSB compliance

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}
%ifarch %{ix86}
ln -sf ld-linux.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb.so.%{ld_ver}
ln -sf ld-linux.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb.so.%{compat_ld_ver}
%endif
%ifarch ppc
ln -sf ld-linux.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb-ppc32.so.%{ld_ver}
ln -sf ld-linux.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb-ppc32.so.%{compat_ld_ver}
%endif
%ifarch x86_64
ln -sf ld-linux-x86-64.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb-x86-64.so.%{ld_ver}
ln -sf ld-linux-x86-64.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb-x86-64.so.%{compat_ld_ver}
%endif

export DONT_SYMLINK_LIBS=1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%ifarch %{ix86}
/%{_lib}/ld-lsb.so.%{ld_ver}
/%{_lib}/ld-lsb.so.%{compat_ld_ver}
%endif
%ifarch ppc
/%{_lib}/ld-lsb-ppc32.so.%{ld_ver}
/%{_lib}/ld-lsb-ppc32.so.%{compat_ld_ver}
%endif
%ifarch x86_64
/%{_lib}/ld-lsb-x86-64.so.%{ld_ver}
/%{_lib}/ld-lsb-x86-64.so.%{compat_ld_ver}
%endif

%changelog
* Fri Apr 29 2005 Stew Benedict <sbenedict@mandriva.com> 2.3.4-2mdk
- restore LSB2.0 dynamic loaders links for LSB2/3 compatibility

* Fri Apr 22 2005 Stew Benedict <sbenedict@mandriva.com> 2.3.4-1mdk
- LSB3.0, bump version, URL

* Thu Jul 22 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.3.3-3mdk
- clean RPM_BUILD_ROOT (Christiaan Welvaart)

* Thu Jul 22 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.3.3-2mdk
- dynamic linker names change, add x86_64

* Fri Apr  2 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.3.3-1mdk
- rebuild, bump version

* Tue Feb 18 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.3.1-1mdk
- only provide ld-lsb* links, change version to track system glibc

* Tue Sep 17 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.90-11mdk
- RPC XDR security patch

* Fri Sep 13 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.90-10mdk
- really make libz link, no libncurses

* Thu Sep  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.90-9mdk
- update /etc/ld-lsb.so.conf to include Xlibs (drop symlinks)
- update /etc/ld-lsb.so.conf to include /usr/lib (upcoming app-battery)
- add symlink for libncurses in /lib/lsb
- run /sbin/ldconfig-lsb in %%post

* Wed Jul 17 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.90-8mdk
- add support for upcoming X based app-battery apps

* Tue Jun 18 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.90-7mdk
- add patch for divdi3 - fails lsblibchk when built with gcc3.1 (P301)

* Fri Jun  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.90-6mdk
- rpmlint: hardcoded-library-path
- drop libX11.so.6 link, xv application test is being phased out
- patch for gcc31 build (P300)

* Wed May 29 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.90-5mdk
- new kernel headers
- additional glibc patch to really pass LSB nice tests (P203)
- additonal glibc patch from CVS for LSB readv/writev tests (P204)
- make glibc_lsb-devel, glibc_lsb-devel-static optional builds
- strip static libs, drop remnants of locales, use directory macros
- add symlink /lib/lsb/libX11.so.6 -> /usr/X11R6/lib/libX11.so.6 (xv)

* Thu Mar 14 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.90-4mdk
- new kernel headers, glibc patches for nice, syslog from SuSE
- PATH_MAX patch no longer needed

* Thu Feb 21 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.90-3mdk
- revert to previous CVS - update made LSB results worse

* Wed Feb 20 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.90-2mdk
- new CVS sync, fix locales issue in locating VSX4L psuedo language files
- change return of nl_langinfo(CRNCYSTR) to NULL, when LC_ALL=C

* Fri Feb  8 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.90-1mdk
- update to 2.2.90 from CVS with LSB related patches
- build using modified limits.h in kernel headers with PATH_MAX=4096
 
* Thu Sep 27 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.1-2mdk
- fix broken lsbcc script

* Wed Sep  5 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.2.1-1mdk
- 1st Mandrake release
